> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optexity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Callback



## OpenAPI

````yaml https://api.optexity.com/openapi.json post /api/v1/initiate_callback
openapi: 3.1.0
info:
  title: Dashboard Backend API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/initiate_callback:
    post:
      tags:
        - task_details
      summary: Initiate Callback
      operationId: initiate_callback_api_v1_initiate_callback_post
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_initiate_callback_api_v1_initiate_callback_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_initiate_callback_api_v1_initiate_callback_post:
      properties:
        task_id:
          type: string
          title: Task Id
        endpoint_name:
          type: string
          title: Endpoint Name
        callback_url:
          anyOf:
            - $ref: '#/components/schemas/CallbackUrl'
            - type: 'null'
        task_callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Callback Url
        task_callback_api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Callback Api Key
      type: object
      required:
        - task_id
        - endpoint_name
      title: Body_initiate_callback_api_v1_initiate_callback_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallbackUrl:
      properties:
        url:
          type: string
          title: Url
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
      type: object
      required:
        - url
      title: CallbackUrl
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````